'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports['default'] = combineReducers;

var _immutable = require('immutable');

var _mergeChildReducers = require('./merge-child-reducers');

var _mergeChildReducers2 = _interopRequireDefault(_mergeChildReducers);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

//a helper to merge a bunch of reducers together with no shared root state
//simpler version of mergeChildReducers for when the parent does nothing (like app root)

function combineReducers(childMap) {
  return function () {
    var rootState = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : (0, _immutable.Map)();
    var action = arguments[1];

    return (0, _mergeChildReducers2['default'])(rootState, action, childMap);
  };
}